-1

my linux skills are not so good and i cant fix my problem..

Im trying to update (yum update) my 2 linux virtual machines. i get allways following error:

Error: Package: nss-3.28.4-3.el6_9.x86_64 (updates)
Requires: nspr >= 4.13.0
Installed: nspr-4.11.0-1.el6.x86_64 (@base)
nspr = 4.11.0-1.el6
Error: Package: nss-util-3.28.4-1.el6_9.x86_64 (updates)
Requires: nspr >= 4.13.0-1
Installed: nspr-4.11.0-1.el6.x86_64 (@base)
nspr = 4.11.0-1.el6
You can try to use --skip-broken to get around the problem.
You could try running: rpm -Va --nofiles --nodigest

(Note: the text above is a translation from German; it may not be the exact same text as you'd get if you run the commands on a system with English locale.)

How do I fix this?

  • 2
    change your locale if you like to post errors. Not everybody is able to read german. Use LANG=C command options in future. – Rainer Jun 1 '17 at 9:02
1

your packet database seems to be inconsistent

try:

  yum clean all
  yum repolist
  yum upgrade

UPDATE: copy the baseurl line to sections you need.

[base] name=Mnet-CentOS-$releasever - Base 
#mirrorlist=http://mirrorlist.centos.org/?release=$releaseve‌​r&arch=$basearch&rep‌​o=os 
baseurl=http://centos.bio.lmu.de/$releasever/os/$basearch/ gpgcheck=1 
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6 #released updates 

[updates] name=Mnet-CentOS-$releasever - Updates 
#mirrorlist=http://mirrorlist.centos.org/?release=$releaseve‌​r&arch=$basearch&rep‌​o=updates 
baseurl=http://centos.bio.lmu.de/$releasever/os/$basearch/ gpgcheck=1 
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
  • i did it already, but it does't solve my problem – hpxw Jun 1 '17 at 10:39
  • look at output of LANG=C yum info nspr ! If you don't get Version: 4.13.1 in Available Packages your database is outdated. And I am sure you will not get. Check your mirror. – Rainer Jun 1 '17 at 11:03
  • i've got 4.11.0 / Release 1.e16 – hpxw Jun 1 '17 at 11:09
  • #released updates [updates] name=CentOS-6 - Updates mirrorlist=mirrorlist.centos.org/… #baseurl=mirror.centos.org/centos/6/updates/$basearch gpgcheck=1 gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6 – hpxw Jun 1 '17 at 11:10
  • try with this german mirror baseurl=http://centos.bio.lmu.de/$releasever/os/$basearch/ in CentOS-Base.repo - I am syncing from this source to my own repo – Rainer Jun 1 '17 at 11:23
0

Check what repositories you have enabled, try disabling them one by one - this can happen when two different versions of the same package (or a package with the same name) are offered by two different repositories.

Take a look here for more info: https://www.unixmen.com/enable-disable-repositories-centos/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.